# EvLoop::periodic

(PECL ev >= 0.2.0)

EvLoop::periodic — Creates EvPeriodic watcher object associated with the current event loop instance

### Description

final public EvLoop::periodic ( float `$offset` , float `$interval` , callable `$callback` [, mixed `$data` = `NULL` [, int `$priority` = 0 ]] ) : EvPeriodic

Creates EvPeriodic watcher object associated with the current event loop instance

### Parameters

All parameters have the same maening as for EvPeriodic::__construct()

### Return Values

Returns EvPeriodic object on success.

### See Also

- EvPeriodic::__construct() - Constructs EvPeriodic watcher object